<template>
  <bh-login-ui @submit="login" />
</template>

<script>
export default {
  methods: {
    async login(credentials) {
      try {
        await this.$authService.login(credentials);
        const { from = '/' } = this.$route.query;
        this.$router.push({ path: from });
      } catch (error) {
        const mid = error.response.status === 500 ? 500 : 'login.error';
        this.$toast.show(this.$appMessages[mid]);
      }
    },
  },
};
</script>
